=== debian/changelog ===
ros-iron-tf2 (0.31.5-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 Sep 2023 16:00:00 -0000

ros-iron-tf2 (0.31.4-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jul 2023 16:00:00 -0000

ros-iron-tf2 (0.31.3-1jammy) jammy; urgency=high

  * Fix error code returned in BufferCore::walkToTopParent (#602 <https://github.com/ros2/geometry2/issues/602>)
  * Contributors: Patrick Roncagliolo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 10 May 2023 16:00:00 -0000

ros-iron-tf2 (0.31.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 12 Apr 2023 16:00:00 -0000

ros-iron-tf2 (0.31.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Apr 2023 16:00:00 -0000

ros-iron-tf2 (0.31.0-1jammy) jammy; urgency=high

  * Depend on ament_cmake_ros to default SHARED to ON (#591 <https://github.com/ros2/geometry2/issues/591>)
  * Fix a potential crash in TimeCache::findClosest (#592 <https://github.com/ros2/geometry2/issues/592>)
  * Extend TimeCache API to provide rich ExtrapolationException infos (#586 <https://github.com/ros2/geometry2/issues/586>)
  * Contributors: Chris Lalancette, Patrick Roncagliolo, Tyler Weaver

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-tf2 (0.30.0-1jammy) jammy; urgency=high

  * Update geometry2 to C++17 (#584 <https://github.com/ros2/geometry2/issues/584>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-tf2 (0.29.0-1jammy) jammy; urgency=high

  * Include required header Scalar.h (#559 <https://github.com/ros2/geometry2/issues/559>)
  * Update maintainers (#560 <https://github.com/ros2/geometry2/issues/560>)
  * Contributors: Audrow Nash, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 20 Nov 2022 16:00:00 -0000

ros-iron-tf2 (0.28.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-tf2 (0.27.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-tf2 (0.26.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 14 Aug 2022 16:00:00 -0000

ros-iron-tf2 (0.26.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 23 Jun 2022 16:00:00 -0000

ros-iron-tf2 (0.26.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-tf2 (0.25.0-1jammy) jammy; urgency=high

  * Install includes to include/${PROJECT_NAME} and use modern CMake (#493 <https://github.com/ros2/geometry2/issues/493>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-iron-tf2 (0.24.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 30 Mar 2022 16:00:00 -0000

ros-iron-tf2 (0.23.0-1jammy) jammy; urgency=high

  * forward declare fromMsg to avoid missing symbols in downstream libraries (#485 <https://github.com/ros2/geometry2/issues/485>)
  * Contributors: João C. Monteiro

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-iron-tf2 (0.22.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-tf2 (0.21.0-1jammy) jammy; urgency=high

  * tf2: Enable common linter tests (#469 <https://github.com/ros2/geometry2/issues/469>)
  * Contributors: Abrar Rahman Protyasha

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-tf2 (0.20.0-1jammy) jammy; urgency=high

  * Move time functions into time.cpp.
  * Change a for loop to a while loop.
  * Switch to C++-style casts.
  * Remove totally unused (and unreachable) code.
  * Replace NULL with nullptr.
  * Fix up some comments.
  * Use std::make_shared where we can.
  * Replace two comparisons with empty string to empty().
  * Make sure to include-what-you-use.
  * Remove unnecessary internal method.
  * Remove long-deprecated walkToTopParent overload.
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-iron-tf2 (0.19.0-1jammy) jammy; urgency=high

  * Remove unnecessary test dependencies.
  * Remove some references to the ROS 1 wiki.
  * Add rosidl_runtime_cpp as build_depend and build_export_depend.
  * Minor cleanups in CMakeLists.txt.
  * Remove include directory that doesn't exist.
  * Remove completely unnecessary target_link_libraries.
  * Remove unused speed_test from tf2.
  * Suppress clang warnings about enumerator attributes. (#463 <https://github.com/ros2/geometry2/issues/463>)
  * Change TF2Error names to be a bit more descriptive. (#349 <https://github.com/ros2/geometry2/issues/349>)
  * Fixed errors due to missing header link. (#432 <https://github.com/ros2/geometry2/issues/432>)
  * Contributors: Chris Lalancette, Shivam Pandey

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 14 Oct 2021 16:00:00 -0000

ros-iron-tf2 (0.18.0-1jammy) jammy; urgency=high

  * Deprecate tf2_geometry_msgs.h (#418 <https://github.com/ros2/geometry2/issues/418>)
  * Speedup covariance unwrapping (#399 <https://github.com/ros2/geometry2/issues/399>)
  * Contributors: Chris Lalancette, Dima Dorezyuk

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 31 May 2021 16:00:00 -0000

ros-iron-tf2 (0.17.1-1jammy) jammy; urgency=high

  * Change index.ros.org -> docs.ros.org. (#394 <https://github.com/ros2/geometry2/issues/394>)

